#!/bin/bash
if [[ -z "$1" ]]; then
	echo "Produce speech samples of the numbers 0 to 20 in every language, for"
	echo "which you have a voice."
	echo "Usage: ${0} voicename"
	echo "List voices with:"
	echo "espeak-ng --voices"
	echo "or:"
	echo "espeak-ng --voices=language-code"
	echo "Use the two letter codes like en for English or fr for French"
	echo "You can add variants like en+Paul or fr+Andy"
	exit 1;
fi
I=0
while [[ $I -le 20 ]]; do
	J=`printf %02d $I`
	espeak-ng -v ${1} -w ${J}.wav $I
	let I=I+1;
done
